Bug 455265 - After launching VLC (using Xwayland) bouncing cursor does not stop immediately when its window appears on the screen
Summary: After launching VLC (using Xwayland) bouncing cursor does not stop immediatel...
Status: CONFIRMED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: 5.25.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-14 17:43 UTC by Patrick Silva
Modified: 2022-08-04 17:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-06-14 17:43:44 UTC
STEPS TO REPRODUCE
1. use Wayland session
2. open a Xwayland app via kickoff or icon on desktop - tested with VLC player and Oracle VirtualBox on my system
3. 

OBSERVED RESULT
the app appears on the screen and the cursor keeps bouncing until the launch feedback time out (5 seconds by default) is reached

EXPECTED RESULT
the same behavior that occurs when we launch a Wayland native app: bouncing cursor stops immediately when the launched app appears on the screen

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.25.0
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.4
Graphics Platform: Wayland
Comment 1 Nate Graham 2022-06-15 16:31:49 UTC
Can reproduce.
Comment 2 Bug Janitor Service 2022-07-18 18:00:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2674
Comment 3 Bug Janitor Service 2022-07-18 18:01:39 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2675
Comment 4 Bug Janitor Service 2022-07-18 19:01:54 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2676
Comment 5 Aleix Pol 2022-07-18 22:19:39 UTC
Git commit c68a0f5dc0264a0ce7271ccd1bebbd4dc967aa8a by Aleix Pol.
Committed on 18/07/2022 at 17:58.
Pushed by apol into branch 'master'.

activation: Fix activation notification of Xwayland clients

Most xwayland clients don't know their desktop file name, so use the
StartupWMClass field in their desktop files as means to inferring their
desktop file name.

M  +21   -1    src/xdgactivationv1.cpp

https://invent.kde.org/plasma/kwin/commit/c68a0f5dc0264a0ce7271ccd1bebbd4dc967aa8a
Comment 6 Aleix Pol 2022-07-18 22:29:41 UTC
Git commit 81ff7737294ee1e46b9d9280339134101010e51c by Aleix Pol Gonzalez, on behalf of Aleix Pol.
Committed on 18/07/2022 at 22:29.
Pushed by apol into branch 'Plasma/5.25'.

activation: Fix activation notification of Xwayland clients

Most xwayland clients don't know their desktop file name, so use the
StartupWMClass field in their desktop files as means to inferring their
desktop file name.


(cherry picked from commit c68a0f5dc0264a0ce7271ccd1bebbd4dc967aa8a)

M  +21   -1    src/xdgactivationv1.cpp

https://invent.kde.org/plasma/kwin/commit/81ff7737294ee1e46b9d9280339134101010e51c
Comment 7 Patrick Silva 2022-08-03 13:38:03 UTC
it's still reproducible with Chromium and VLC player.

Operating System: Arch Linux
KDE Plasma Version: 5.25.4
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Graphics Platform: Wayland
Comment 8 Nate Graham 2022-08-04 17:59:51 UTC
Can reproduce that, but only for VLC. Chromium and Discord are both using XWayland and aren't affected. I wonder if it's a VLC-specific issue at this point.